Skip to main content
(experimental) Update custom metric security setting

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

sourceId
string
required
id
string
required

Body

application/vnd.composer.v3+json

Source Security Settings

id
string
sids
object[]
sourceId
string
name
string
description
string
type
enum<string>
deprecated
Available options:
FIELD,
CUSTOM_METRIC
allowedValues
string[]

List of allowed fields. Applicable only in WHITELIST mode

forbiddenValues
string[]

(experimental) List of forbidden fields. Applicable only in BLACKLIST mode

onCondition
string

(experimental) Condition that can be used as an additional filter for users that have access to fields granted by this resource

Response

200 - application/vnd.composer.v3+json

OK

Source Security Settings

createdByUserID
string
read-only
lastModifiedByUserID
string
read-only
createdDate
string<date-time>
read-only
lastModifiedDate
string<date-time>
read-only
id
string
sids
object[]
sourceId
string
name
string
description
string
type
enum<string>
deprecated
Available options:
FIELD,
CUSTOM_METRIC
allowedValues
string[]

List of allowed fields. Applicable only in WHITELIST mode

forbiddenValues
string[]

(experimental) List of forbidden fields. Applicable only in BLACKLIST mode

onCondition
string

(experimental) Condition that can be used as an additional filter for users that have access to fields granted by this resource